/**************************************************************************/
/* GF76 ( ファイル検索テーブル )                                          */
/*                                                                        */
/* Created : 2009/11/17 09:27:50                                          */
/**************************************************************************/
CREATE TABLE GF76 (
   SYSTEM_ID  VARCHAR(10)                 NOT NULL                  /* 10  システムID   */
 , ADDRESS    VARCHAR(256)                                          /* 20  アドレス     */
 , PRE_FIX    VARCHAR(10)                 NOT NULL                  /* 20  名前空間     */
 , FILENAME   VARCHAR(30)                                           /* 30  ファイル名   */
 , FILEPATH   VARCHAR(256)                                          /* 40  ファイルパス */
 , MODIFIED   VARCHAR(14)                                           /* 50  最終更新日   */
 , TAGNAME    VARCHAR(30)                                           /* 60  タグ名称     */
 , TITLE      VARCHAR(300)                                          /* 70  タイトル     */
 , VERNO      VARCHAR(10)                                           /* 80  バージョン   */
 , MODIFYDATE VARCHAR(30)                                           /* 90  更新日       */
 , AUTHOR     VARCHAR(100)                                          /* 100 更新者       */
 , TEXTBODY   BLOB                                                  /* 110 コメント文   */
 , FGOMIT     VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 120 除外フラグ   */
 , UNIQ       BIGINT                      NOT NULL PRIMARY KEY      /* 800 ユニークキー */
 , FGJ        VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 810 状態フラグ   */
 , DYSET      VARCHAR(14)                                           /* 820 登録日時     */
 , PGSET      VARCHAR(10)                                           /* 830 作成PG       */
 , PGPSET     VARCHAR(10)                                           /* 840 作成親PG     */
 , USRSET     VARCHAR(10)                                           /* 850 作成社員     */
 , DYUPD      VARCHAR(14)                                           /* 860 更新日時     */
 , PGUPD      VARCHAR(10)                                           /* 870 更新PG       */
 , PGPUPD     VARCHAR(10)                                           /* 880 更新親PG     */
 , USRUPD     VARCHAR(10)                                           /* 890 更新者       */
);

CREATE SEQUENCE GF76S01 ;


CREATE TRIGGER GF76T01 FOR GF76
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF76S01,1 );
  END; 


